image: registry.git.cccv.de/infra/uffd/docker-images/buster

variables:
  DEBIAN_FRONTEND: noninteractive 

before_script:
  - python3 -V
  - lsb_release -a
  - uname -a
  - python3 -m pylint --version
  - python3 -m coverage --version

linter:
  stage: test
  script:
  - python3 -m pylint --rcfile .pylintrc --output-format=text uffd | tee pylint.txt
  artifacts:
      paths:
      - pylint.txt

#unittest:
#  stage: test
#  script:
#  - python3 -m coverage run runTests.py
#  - python3 -m coverage report --include "./*"
#  - python3 -m coverage report -m  --include "./*" > report.txt
#  - python3 -m coverage html --include "./*"
#  artifacts:
#      paths:
#      - htmlcov/*
#      - .coverage
#      - report.txt
